> ## Documentation Index
> Fetch the complete documentation index at: https://docs.burki.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Assign Phone Numbers

> Assign multiple phone numbers to an assistant at once.

Assigns all specified phone numbers to the assistant.
Returns success if all assignments succeed, or details about failures.



## OpenAPI

````yaml POST /api/v1/assistants/{assistant_id}/phone-numbers/bulk-assign
openapi: 3.1.0
info:
  title: Burki
  description: A system that uses AI to answer customer Calls.
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistants/{assistant_id}/phone-numbers/bulk-assign:
    post:
      tags:
        - assistants
      summary: Bulk Assign Phone Numbers
      description: |-
        Assign multiple phone numbers to an assistant at once.

        Assigns all specified phone numbers to the assistant.
        Returns success if all assignments succeed, or details about failures.
      operationId: >-
        bulk_assign_phone_numbers_api_v1_assistants__assistant_id__phone_numbers_bulk_assign_post
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: integer
            title: Assistant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: integer
              title: Phone Number Ids
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    APIResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
      type: object
      required:
        - success
        - message
      title: APIResponse
      description: Standard API response format.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````